# Sablotron Guide and Reference

SablotRunProcessorGen | Functions

#### Summary

Runs the processor.

#### Syntax

    int SablotRunProcessorGen(SablotSituation S,
           void *processor_,
           const char *sheetURI,
           const char *inputURI,
           const char *resultURI);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | Sablotron handle
`processor_` | `void*` | Processor handle
`sheetURI` | `const char*` | stylesheet URI
`inputURI` | `const char*` | data URI
`resultURI` | `const char*` | result URI

#### Description

This call runs the processing on the given data. Data are specified by URIs; what may be either of URI to the file, org the 'arg:' scheme URI (see `SablotAddArg`). Other URI schemes may be recognized if the appropriate handler is set.

#### See Also

Groups | [ Functions ]
Entries | [ .Handlers | .Usage | SablotGetResultArg | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC